# Notion

### Using the Erathos platform

When selecting Notion as a new connector on the Erathos platform, you will need to name your connection and fill in the following form:

* **Token** — Your Notion Internal Integration Secret, used to authenticate requests to the Notion API

With this connection created you can seamlessly move your Notion data to your BigQuery, Redshift or Postgres data warehouse.

### How to find my token?

To create an integration token, navigate to <https://www.notion.so/profile/integrations> and click **New integration**. Give it a name, select the associated workspace, and click **Save**.

Once the integration is created, open it and copy the **Internal Integration Secret** displayed on the configuration page. Paste this value into the **Token** field on the Erathos platform.

Finally, make sure to share each Notion page or database you want to sync with your integration — open the page in Notion, click **Connect to**, and select your integration. Then click **Save and close** in the Erathos platform to complete the setup.

### What endpoints can I access with the Erathos platform?

* users
* pages
* blocks
* comments


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.erathos.com/connectors/apis/notion.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
